'use strict'
const webpack = require('webpack')
const makeWebpackConfig = require('./make-webpack-config')
const makeStatsOption = require('./make-stats-option')

module.exports = options => {
  return new Promise((resolve, reject) => {
    const webpackConfig = makeWebpackConfig(options)
    const compiler = webpack(webpackConfig)
    compiler.run((err, stats) => {
      if (err) {
        return reject(err)
      }
      if (!options.quiet) {
        console.log(stats.toString(makeStatsOption(options.quiet)))
      }
      resolve(stats)
    })
  })
}
