'use strict'
const path = require('path')
const fs = require('fs')
const pathExists = require('path-exists')
const pify = require('pify')

module.exports = options => {
  if (!options.component) return Promise.resolve()

  const dest = path.join(process.cwd(), './index.js')

  return pathExists(dest).then(exists => {
    if (exists) return
    return pify(fs.readFile)(path.join(__dirname, 'default-app.js'), 'utf8')
      .then(source => {
        const content = source.replace('{{APP_HOLDER}}', options.component)
        return pify(fs.writeFile)(dest, content, 'utf8')
      })
  })
}
