'use strict'
const path = require('path')

function resolveApp(filePath) {
  return path.join(process.cwd(), filePath)
}

function resolveOwn(filePath) {
  return path.join(__dirname, '../', filePath)
}

const paths = {
  appEntry: './src/index.js',
  // for generated app
  appClient: resolveApp('./'),
  appModules: resolveApp('node_modules'),
  appPath: resolveApp('./'),
  appPkg: resolveApp('package.json'),
  appDist: resolveApp('dist'),
  // for vue-scripts
  ownModules: resolveOwn('node_modules'),
  ownPath: resolveOwn('./')
}

paths.templatePath = path.join(paths.ownPath, 'lib/index.html')

paths.resolvePath = [
  paths.appModules,
  paths.appClient,
  paths.ownModules
]

paths.resolveLoaderPath = [
  paths.ownModules,
  paths.appModules
]

module.exports = paths
